Bug 425381 - (CVE-2007-6416) CVE-2007-6416 [RHEL 5.2] [XEN/IA64] Security: vulnerability of copy_to_user in PAL emulation
CVE-2007-6416 [RHEL 5.2] [XEN/IA64] Security: vulnerability of copy_to_user i...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
ia64 Linux
urgent Severity high
: ---
: ---
Assigned To: Jarod Wilson
Martin Jenner
impact=important,reported=20071214,pu...
: Security
Depends On: 425938 425939
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 15:19 EST by Jarod Wilson
Modified: 2008-07-25 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 04:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Back-port of copy_to_user fix for RHEL5 (3.16 KB, patch)
2007-12-18 09:43 EST, Jarod Wilson
no flags Details | Diff

  None (edit)
Comment 2 Jarod Wilson 2007-12-18 09:43:23 EST
Created attachment 289892 [details]
Back-port of copy_to_user fix for RHEL5
Comment 3 Mark J. Cox (Product Security) 2008-01-21 05:06:36 EST
" A security vulnerability was found in Xen's PAL emulation for ia64
machines. Such an HVM guest could access arbitrary physical memory on the
host. This could make sensitive information available to unauthorized
users. (CVE-2007-6416, Important). "
Comment 5 Red Hat Product Security 2008-07-25 04:56:10 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0089.html


Note You need to log in before you can comment on or make changes to this bug.